<bugID>1100346<Summary>about window - updates not downloaded/working if update deactivates add-on/addon like language packs/makes incompatible</Summary><Description>Help / About THunderbird offers an update from 33.0 to [Update to 34.0 Beta 1].

When clicked it outputs the following

1416230705548	addons.update-checker	DEBUG	Requesting https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&amp;id={e2fda1a4-762b-4020-b5ad-a41df1933103}&amp;version=3.5b1&amp;maxAppVersion=33.*&amp;status=userEnabled&amp;appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&amp;appVersion=34.0&amp;appOS=WINNT&amp;appABI=x86-msvc&amp;locale=en-US&amp;currentAppVersion=33.0&amp;updateType=98&amp;compatMode=normal
 ----------
1416230705552	addons.update-checker	DEBUG	Requesting https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&amp;id=langpack-de@thunderbird.mozilla.org&amp;version=33.0&amp;maxAppVersion=33.*&amp;status=userEnabled&amp;appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&amp;appVersion=34.0&amp;appOS=WINNT&amp;appABI=x86-msvc&amp;locale=en-US&amp;currentAppVersion=33.0&amp;updateType=98&amp;compatMode=normal
 ----------
1416230705556	addons.update-checker	DEBUG	Requesting https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&amp;id=langpack-it@thunderbird.mozilla.org&amp;version=33.0&amp;maxAppVersion=33.*&amp;status=userEnabled&amp;appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&amp;appVersion=34.0&amp;appOS=WINNT&amp;appABI=x86-msvc&amp;locale=en-US&amp;currentAppVersion=33.0&amp;updateType=98&amp;compatMode=normal



1416230477363	addons.update-checker	DEBUG	Requesting https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&amp;id={e2fda1a4-762b-4020-b5ad-a41df1933103}&amp;version=3.5b1&amp;maxAppVersion=33.*&amp;status=userEnabled&amp;appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&amp;appVersion=34.0&amp;appOS=WINNT&amp;appABI=x86-msvc&amp;locale=en-US&amp;currentAppVersion=33.0&amp;updateType=98&amp;compatMode=normal
 ----------
1416230477366	addons.update-checker	DEBUG	Requesting https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&amp;id=langpack-de@thunderbird.mozilla.org&amp;version=33.0&amp;maxAppVersion=33.*&amp;status=userEnabled&amp;appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&amp;appVersion=34.0&amp;appOS=WINNT&amp;appABI=x86-msvc&amp;locale=en-US&amp;currentAppVersion=33.0&amp;updateType=98&amp;compatMode=normal
 ----------
1416230477369	addons.update-checker	DEBUG	Requesting https://versioncheck.addons.mozilla.org/update/VersionCheck.php?reqVersion=2&amp;id=langpack-it@thunderbird.mozilla.org&amp;version=33.0&amp;maxAppVersion=33.*&amp;status=userEnabled&amp;appID={3550f703-e582-4d05-9a08-453d09bdfdc6}&amp;appVersion=34.0&amp;appOS=WINNT&amp;appABI=x86-msvc&amp;locale=en-US&amp;currentAppVersion=33.0&amp;updateType=98&amp;compatMode=normal
 ----------
1416230478312	addons.update-checker	DEBUG	Found an update entry for {e2fda1a4-762b-4020-b5ad-a41df1933103} version 3.6b1
 ----------
1416230478313	addons.xpi	DEBUG	Found an existing AddonInstall for {e2fda1a4-762b-4020-b5ad-a41df1933103}
 ----------
1416230478361	addons.update-checker	WARN	Update manifest for langpack-de@thunderbird.mozilla.org did not contain an updates property
 ----------
1416230478392	addons.update-checker	WARN	Update manifest for langpack-it@thunderbird.mozilla.org did not contain an updates property


The about Tb dialog then prompts to [Restart] but that doesn't work. When manually restarting, the old version (33.0) is still installed</Description></bugID>